.titleBar { margin-bottom: 5px!important; }

chan_capi läßt sich nicht laden

Dieses Thema im Forum "Asterisk ISDN mit CAPI (chan_capi, chan_capi_cm)" wurde erstellt von rannseier, 22 Aug. 2004.

  1. rannseier

    rannseier Aktives Mitglied

    Registriert seit:
    5 Mai 2004
    Beiträge:
    986
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Moin..

    Wenn ich chan_capi compiliere und in asterisk einbinde bekomme ich folgende Meldung:

    [chan_capi.so]Aug 22 19:15:18 WARNING[1076802336]: loader.c:242 ast_load_resource: /usr/lib/asterisk/modules/chan_capi.so: undefined symbol: ast_pthread_create
    Aug 22 19:15:18 WARNING[1076802336]: loader.c:374 load_modules: Loading module chan_capi.so failed!
    asterisk:~/bri-stuff.0.1.0-RC2k/zaphfc #

    Hat jemand eine Idee?


    MfG,
    Karl
     
  2. Hupe

    Hupe Aktives Mitglied

    Registriert seit:
    8 Apr. 2004
    Beiträge:
    2,586
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hmmm, das ist natürlich bedauerlich.
    Du solltst vielleicht noch angeben, welche Version con Asterisk und chan_capi du nutzt. Das könnte hilfreich sein.
     
  3. rannseier

    rannseier Aktives Mitglied

    Registriert seit:
    5 Mai 2004
    Beiträge:
    986
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Moin..

    Ist die Version von Bristuff.0.1.0RC2k.

    Asterisk läßt sich erst dann wieder laden, wenn ich alle Module von chan_capi in modules.conf mit unload eintrage.


    MfG,
    Karl
     
  4. Hupe

    Hupe Aktives Mitglied

    Registriert seit:
    8 Apr. 2004
    Beiträge:
    2,586
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Was hat Bristuff mit capi zu tun?
    Ist schon klar: Ein Modul, welches Du nicht lädst, das macht dann in der Regel auch keine probleme.
     
  5. rannseier

    rannseier Aktives Mitglied

    Registriert seit:
    5 Mai 2004
    Beiträge:
    986
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Dachte das es hilft die Version zu erkennen.

    Er zieht sich folgende Version:

    cvs co -D 05/27/04 zaptel
    cvs co -D 07/26/04 libpri
    cvs co -D 07/26/04 asterisk

    Vielleicht hilft es ja.


    MfG,
    Karl
     
  6. Hupe

    Hupe Aktives Mitglied

    Registriert seit:
    8 Apr. 2004
    Beiträge:
    2,586
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Und jetzt noch die Version von chan_capi?
     
  7. rannseier

    rannseier Aktives Mitglied

    Registriert seit:
    5 Mai 2004
    Beiträge:
    986
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Moin..

    Wusste doch, hab was vergessen. Werde ebend langsam alt.. :-D

    Ist die chan_capi-0.3.5.


    MfG,
    Karl
     
  8. Hupe

    Hupe Aktives Mitglied

    Registriert seit:
    8 Apr. 2004
    Beiträge:
    2,586
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Wird in deiner modules.conf ne res_parking.so geladen? Wenn nicht, dann hast Du die falsche chan_capi-Version (wobei du dann das ganze nicht hättest kompilieren können.
    Das ganze sieht irgendwie wie ein Versionsproblem aus.
     
  9. rannseier

    rannseier Aktives Mitglied

    Registriert seit:
    5 Mai 2004
    Beiträge:
    986
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hallo,

    die res_parking.so wird weder geladen noch ist sie im modules-Verzeichnis von Asterisk.

    Ist die vielleicht irgendwann weggefallen?


    MfG,
    Karl
     
  10. Hupe

    Hupe Aktives Mitglied

    Registriert seit:
    8 Apr. 2004
    Beiträge:
    2,586
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Ok, dann solltest Du eigentlich die richtige Version haben. Die res_parking ist, glaube ich duch die res_features ersetzt worden. Und somitsollte die Version eigentlich stimmen. Es sein denn, daß von der Version 3.4 auf 3.5 weitere anpassungen für eine noch aktuellere Version gemacht wurden.
     
  11. rannseier

    rannseier Aktives Mitglied

    Registriert seit:
    5 Mai 2004
    Beiträge:
    986
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Moin,

    Hab jetzt mal die aktuelle bri-stuff.0.1.0-RC4a installiert.

    Die Asterisk-Version ist:
    cvs co -D 08/13/04 zaptel
    cvs co -D 08/13/04 libpri
    cvs co -D 08/14/04 asterisk

    Das hilft aber leider auch nicht..

    :doof:

    MfG,
    Karl
     
  12. Hupe

    Hupe Aktives Mitglied

    Registriert seit:
    8 Apr. 2004
    Beiträge:
    2,586
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hmm, bri-stuff patcht ja Asterisk. Vielleicht liegt es daran.
     
  13. rannseier

    rannseier Aktives Mitglied

    Registriert seit:
    5 Mai 2004
    Beiträge:
    986
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hmm..

    Hat denn keiner bri-stuff mit chan_capi am laufen?

    Sollte doch eigentlich recht häufig anzutreffen sein, oder?


    MfG,
    Karl
     
  14. Hupe

    Hupe Aktives Mitglied

    Registriert seit:
    8 Apr. 2004
    Beiträge:
    2,586
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Nee, hab ich nicht. Aber laufen sollte es eigentlich schon. Allerdings wird sowohl an Asterisk als auch Bristuff im moment wohl ne Menge "rumgewurstelt". Da kommt es jetzt regelmäßig zu Versionskonflikten. Am besten suchst Du hier jemanden der Bristuff mit capi & Asterisk nutzt, läßt Dir von Ihm die Versionsnummern von allen drei Teilen geben, und nutzt dann die selben. Alles andere ist ziemlich unsicher.
     
  15. rannseier

    rannseier Aktives Mitglied

    Registriert seit:
    5 Mai 2004
    Beiträge:
    986
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Ich hab dem Autor der Sachen mal eine Mail geschickt, vielleicht weiss er ja, wie man den Kram zum laufen bringt.


    MfG,
    Karl